UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
umestore_repo_dmon_stat_msg_t_stct Struct Reference

Message containing Store repository statistics.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_STATS )
Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC. More...

`#include <umedmonmsgs.h>`

## Data Fields
umestore_dmon_msg_hdr_t | hdr
| Standard header common to all messages.
lbm_uint32_t | dmon_topic_idx
| Identifying index number for the topic of this source, defined in an earlier message of type LBM_UMESTORE_DMON_MPG_STORE_TOPIC_CONFIG. See umestore_topic_dmon_config_msg_t_stct::dmon_topic_idx.
lbm_uint32_t | regid
| Registration ID used by the source to register.
lbm_uint32_t | message_map_sz
| Total number of UM message fragments the Store has for this source, both on disk and in memory.
lbm_uint32_t | memory_sz
| The number of bytes of messages in memory for a non-RPP repository (`flags & UMESTORE_DMON_REPO_FLAG_RPP == 0`). Includes headers and Store overhead.
lbm_uint32_t | rpp_memory_sz
| The number of bytes of messages in memory for a RPP repository (`flags & UMESTORE_DMON_REPO_FLAG_RPP != 0`). Includes headers and Store overhead.
lbm_uint32_t | lead_sqn
| Lead sequence number: newest sequence number in the Store.
lbm_uint32_t | sync_sqn
| Most recent sequence number for which the Store has initiated persisting to disk, but the Operating System has not confirmed completion of persistence.
lbm_uint32_t | sync_complete_sqn
| Most recent sequence number that the Operating System has confirmed persisting to disk.
lbm_uint32_t | trail_sqn
| Trail sequence number: oldest sequence number in the Store.
lbm_uint32_t | mem_trail_sqn
| Trail sequence number: oldest sequence number in memory.
lbm_uint32_t | contig_sqn
| Most recent sequence number that along with the trail_sqn, creates a range of sequence numbers with no sequence number gaps.
lbm_uint32_t | high_ulb_sqn
| The highest sequence number reported among any Unrecoverable Loss Burst (ULB) event. It is not reset after the ULB is handled; it is maintained throughout the life of the Store.
lbm_uint32_t | map_intentional_drops
| Number of messages in the process of being dropped due to reaching the repository-size-limit.
lbm_uint32_t | uls
| Number of messages lost unrecoverably, not including burst loss events.
lbm_uint32_t | ulbs
| Number of messages lost unrecoverably due to burst loss events.
lbm_uint32_t | sz_limit_drops
| Total number of messages dropped due to reaching the repository-size-limit.
lbm_uint16_t | store_idx
| Current Store number, starting with 0, counting each <store> element in the order configured.
lbm_uint8_t | flags
| Bit map of flags indicating various characteristics and current states of the Store. Possible bits: UMESTORE_DMON_REPO_FLAG_INTENTIONAL_DROPS, UMESTORE_DMON_REPO_FLAG_ISN_SET, UMESTORE_DMON_REPO_FLAG_DISK_CKSUM, UMESTORE_DMON_REPO_FLAG_SHUTTING_DOWN, UMESTORE_DMON_REPO_FLAG_RPP, UMESTORE_DMON_REPO_FLAG_DELAY_WRITE.

## Detailed Description

Message containing Store repository statistics.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_REPO_STATS )
Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- umedmonmsgs.h